

               Planetfall - Infocom (Part 1)

                Sent in by Martin Gardiner

INTRODUCTION.
 
In Planetfall you play the part of a lowly Ensign Seventh Class, 
basically a cleaner, on the spaceship Feinstein. You are 
scrubbing the deck, when all of the sudden there is an 
explosion, and by an accident of fate you happen to be standing 
near an escape pod right at that moment. You jettison from the 
Feinstein and land on the nearby planet of Resida, which appears 
to have been recently abandoned for no reason.
 
Resida suffered a plague, which struck down many of its 
inhabitants. As a result, the scientists of Resida tried 
frantically to combat this disease. In the process of testing, 


several mutants were accidentally created, but they were put in 
a special room with mutant-proof walls. One of the mutants looks 
remarkably like a grue, it has slavering fangs and it lurks! 
Eventually, the scientists decided to let the computer do the 
rest, and all the surviving people on Resida were put in 
suspended animation.
 
The computer promptly broke down, followed by the communications 
system, the course control for keeping the planet in its orbit, 
and the defence system. The repair robot, Achilles, fell to his 
robotic death while trying to get a part to repair the defence 
system. The only inhabitant on Resida now is the robot Floyd, 
and he has been turned off.
 
Survival is your first concern, you'll need food and rest. Then 
you must repair many of the broken machines that you find, and 
also figure out why everyone is missing.

 
WALKTHROUGH.
 
You find yourself on Deck Nine, you have in your inventory a 
scrubbing brush, a chronometer, and are wearing your patrol 
uniform which contains your ID card. If you leave your post 
Ensign First Class Blather will appear and order you to return 
to Deck Nine. If you refuse you will be thrown into the Brig and 
will die when the Feinstein explodes. Whilst waiting on Deck 
Nine for the explosion, about eight game turns, you may be 
entertained (randomly) by the Ambassador from Blow'K-bibben-
Gordo. Should he give you a brochure, drop it as it is not 
needed.
 
After the explosion the escape pod door to port will open. "W" - 
into the Pod, you see some safety webbing. "GET IN WEB" - pod 
door closes. If you still have them, "DROP BRUSH", "DROP ID", 
"DROP BROCHURE" - they are now excess baggage. "WAIT" - until 
the Pod lands, and the emergency kit appears. "GET UP" - the Pod 
rolls into the sea and starts to sink. "GET KIT" - if you become 
hungry, open the survival kit and eat the goo. "OPEN DOOR" - 
water rushes in. "U", "U" - in Cleft in rock, going down from 
here will result in drowning. "U", "U", "U" - in Courtyard.
 
"N", "NE", "E", "E", "E", "S", "S", "S", "SW" - in Tool Room. 
"GET LASER" - it contains an old battery. "DROP BATTERY", "GET 
FLASK", "GET PLIERS", "GET BAR" - it is a magnet. "E" - in the 
Machine Shop, you see a chemical dispenser with a spout. "PUT 
FLASK UNDER SPOUT". "N", "N", "N", "E" - in Storage East. "GET 
BEDISTOR", "W", "N", "E", "E" - in Teleport Booth 2. "DROP 
LASER", "DROP PLIERS", "W" - in Elevator Lobby. "PRESS BLUE", 
"PRESS RED" - you call both elevators. "W", "N" - in Admin 
Corridor, there is a crevice in the floor. "EXAMINE CREVICE" - 
you see a shiny steel key. "HOLD BAR OVER CREVICE" - you now 
have the key.
 
You will soon get your first hunger/thirst message, you can eat 
the goo from the survival kit, but you should have time to 
complete the next task and then go to the Kitchen. "S", "W", "W" 
- in Mess Corridor, there is a padlocked door north. "UNLOCK 
PADLOCK", "GET PADLOCK", "OPEN DOOR", "N" - in Storage West, you 
see an extendable ladder. "DROP ALL" - including the magnetic 
bar, for should it come in contact with any of the access cards 
that you will find later they will become scrambled and rendered 
useless.
 
"GET LADDER, "S", "E", "E", "N", "N" - in Admin Hallway, a rift 
in floor blocks progress north. "DROP LADDER", "EXTEND LADDER", 
"PUT LADDER OVER RIFT", "N", "W" - in a Small Office. "OPEN 
DESK" - find two access cards. "GET KITCHEN ACCESS", "GET UPPER 
ELEVATOR ACCESS". "W" - in Large Office. "OPEN DESK" - another 
access card. "GET SHUTTLE ACCESS", "E", "E", "S", "S", "S", "W", 
"W", "S" - in Mess Hall.
 
"GET CANTEEN", "SLIDE KITCHEN ACCESS THROUGH SLOT" - door to 
south opens. "S" - in Kitchen, you see a machine. "EXAMINE 
MACHINE" - it has a button and below the spout is a niche the 
same shape as the canteen. "OPEN CANTEEN", "PUT CANTEEN IN 
NICHE", "PRESS BUTTON" - a brown liquid fills the canteen. 
"DRINK LIQUID" - you have quenched your thirst and satisfied 
your hunger. Refill the canteen, and close it. You've now found 
an unlimited source of food. Just make sure that you keep your 
canteen filled and you'll be O.K.
 
"N" - the Kitchen door slides shut behind you as you leave. 
"DROP KITCHEN ACCESS". "N", "N" - back in Storage West. "GET 
BEDISTOR". "S", "E", "E", "E", "N" - in Upper Elevator. "SLIDE 
UPPER THROUGH SLOT", "PRESS UP BUTTON", "WAIT", "WAIT" - lift 
stops, doors open. "S", "NE" - in Comm Room. There is a 
malfunction in the cooling system, note the colour of the 
flashing light, it is random and will vary. "SW", "N" - in Upper 
Elevator. "SLIDE UPPER THROUGH SLOT", "PRESS DOWN BUTTON", 
"WAIT", "WAIT" - lift stops, doors open. "S", "W", "W", "N" - in 
Dorm D. By this time you should be getting tired, if not wait 
until you do so.
 
It's important that you find a safe place to sleep, any of the 
dorm areas will do. "GET IN BED", "WAIT" - you will fall asleep. 
You will dream, and awake refreshed, but feel weak and slightly 
flushed, you have contracted the disease! "GET UP", "GET ALL" - 
you dropped all carried objects when you climbed into the bunk. 
"S", "E", "S", "S", "S", "S" - back in Machine Shop. Press the 
corresponding colour button that you last saw in the Comm Room, 
the flask fills with liquid. "GET FLASK", "N", "N", "N", "N", 
"E", "N" - in Upper Elevator. "SLIDE UPPER THROUGH SLOT", "PRESS 
UP BUTTON", "WAIT", "WAIT" - lift stops, doors open. "S", "NE" - 
in Comm Room. "POUR LIQUID IN HOLE" - note the colour of the 
flashing light, random again!
 
"SW", "N" - in Upper Elevator. "SLIDE UPPER THROUGH SLOT", 
"PRESS DOWN BUTTON", "WAIT", "WAIT" - lift stops, doors open. 
"S", "W". By now you will be hungry again, so drink the liquid 
from the canteen. Then go back to the Kitchen, refill the 
canteen and return back here to the Corridor Junction. "S", "S", 
"S", "S" - back in Machine Shop. As before press the 
corresponding colour button that you last saw in the Comm Room, 
the flask fills with liquid. "GET FLASK", "N", "N", "N", "N", 
"E", "N" - in Upper Elevator. "SLIDE UPPER THROUGH SLOT", "PRESS 
UP BUTTON", "WAIT", "WAIT" - lift stops, doors open. "S", "NE" - 
in Comm Room. "POUR LIQUID IN HOLE" - note the colour of the 
randomly flashing light.
 
"SW", "N" - in Upper Elevator. "SLIDE UPPER THROUGH SLOT", 
"PRESS DOWN BUTTON", "WAIT", "WAIT" - lift stops, doors open. 
"S", "W", "S", "S", "S", "S" - back in Machine Shop. For the 
final time press the corresponding colour button that you last 
saw in the Comm Room, the flask fills with liquid. "GET FLASK", 
"N", "N", "N", "N", "E", "N" - in Upper Elevator. "SLIDE UPPER 
THROUGH SLOT", "PRESS UP BUTTON", "WAIT", "WAIT" - lift stops, 
doors open. "S", "NE" - in Comm Room. "POUR LIQUID IN HOLE" - 
the coolant system warning light goes out, you have fixed the 
communications system. The console screen indicates that a help 
message is being sent. You have fixed the first system.
 
"SW", "N" - in Upper Elevator. "SLIDE UPPER THROUGH SLOT", 
"PRESS DOWN BUTTON", "WAIT", "WAIT" - lift stops, doors open. 
"DROP FLASK", "DROP UPPER ACCESS" - you will not need to return 
to the upper level. "S", "W", "S", "S", "S", "SE" - in the Robot 
Shop, you see Floyd. "EXAMINE ROBOT" - he is switched off. 
"SEARCH ROBOT" - you find the Lower Elevator access card and 
take it. "TURN ON ROBOT", "NW", "N", "N", "N", "E", "S" - in 
Lower Elevator. By this time your valuable friend Floyd the 
robot should be bugging you for attention and loving. "SLIDE 
LOWER THROUGH SLOT", "PRESS DOWN BUTTON", "DROP LOWER", "WAIT", 
"WAIT", "WAIT" - lift stops, doors open. "N", "E" - on 
Kalamontee Complex Shuttle Platform, there is a shuttle south. 
"S", "E" - in Shuttle Alfie Control East. You see a control 
panel with a slot, lever, and a display.
 
"SLIDE SHUTTLE THROUGH SLOT", "PUSH LEVER UP" - doors close and 
shuttle begins to move, the display changes to 5 as you begin to 
accelerate. "WAIT" - display changes to 10, repeat until display 
changes to 60. "PUSH LEVER DOWN" - lever is now in neutral 
position and the display shows speed constant at 60. "PUSH LEVER 
DOWN" - shuttle decelerates, the display changes to 55, repeat 
until you come to rest at the next station. The doors will open 
automatically.
 
"DROP SHUTTLE", "W", "N" - on Lawanda Complex Shuttle Platform, 
there are shuttles to north and south. Make sure that Floyd is 
with you before you proceed. "E", "E" - at a Fork. "NE", "N" - 
in Repair Room, there is a small robot-sized door to the north. 
"FLOYD, GO NORTH" - when he returns Floyd tells you that there 
is a shiny fromitz board back there. "FLOYD, GET BOARD" - Floyd 
goes north again, returns with the shiny fromitz board and 
throws it to you. "S", "E", "N" - in Planetary Defense. You see 
a circuit board failure warning, and a small access panel. "OPEN 
PANEL" - you see four fromitz boards. "REMOVE SECOND" - removing 
the fried fromitz board leaves an empty socket. "DROP FRIED", 
"PUT BOARD IN SOCKET", "CLOSE PANEL" - you have fixed the 
planetary defence system. Two systems fixed, two to go!.....

@~To be continued in the next issue of SynTax
