      KNIGHT ORC - Rainbird/Level 9 (Part 1)
 
          Sent in by John R. Barnsley 
 
KNIGHT ORC has one of the most user-friendly parsers of any 
computer adventure. For the purposes of this solution, we will be 
taking full advantage of that parser. Instructions such as GO TO 
THE MOUNTAIN or FIND THE TROLL do not require you to search 
around or enter a string of directions. Simply enter that 
command and let the program do the work. Unfortunately, the game 
is populated by a party of adventurers who will try to start a 
fight with you for any or no reason. When starting out on any 
one section, it does no harm to enter the "ramsave" command. If 
you take too long trying to accomplish something, you may look 
around to discover that every adventurer and his auntie are 
getting in your way. In these cases, entering "ram restore" will 
bring you back to a, hopefully, manageable situation.

Finally, although the game comes in three parts, note that Parts 
2 and 3 are intimately related so that you actually complete 
them together. If you're anxious to understand the workings of 
these two parts, read "The Story Behind the Story." Otherwise, 
you can try to piece the background together as you proceed.
 
PART ONE 
Good morning Grindleguts! Sleep well? Bit of a headache? Sorry 
for the inconvenience but you're about to be skewered. It can't 
be avoided I'm afraid so you'll just have to suffer the 
indignity; that's a good orc. Wake up again and smell the 
garbage Grindleguts, it's time to get moving. Wear the cloak 
(the less people recognizing your Orcish features, the better), 
take the knife, and leave the trash heap.
 
First, go to the Bar and examine it. There's a lot to see and 
explore there, but all you need is the spear. Take it and go to 
the castle. The innkeeper may, at any time, decide he wants his 
spear back. If he takes it, simply follow him back to the Bar 
and take it again. From there, go to the castle and read the 
note on the drawbridge. Throw the spear at the drawbridge (lucky 
you decided not to knock on it yourself!), pick up the spear, 
and go in. While you're standing on the lowered door, drop the 
spear and continue north. Go north to the stairway and up. From 
the top of the tower you can see every place you'll need to 
visit in order to complete Part 1: the Gibbet, the Clearing, the 
Crossroads, the Fairground, the Lawn, the Cave, the Oak, the 
Tower, the Well, and the Viaduct.
 
Go down the steps and leave the castle, picking up the chest and 
the spear on your way out. Start at the Gibbet (which is 
apparently where criminals such as yourself usually end up) and 
take the noose. This is the first piece of rope you must obtain 
in order to escape from Part 1. From here, go to the Fairground 
and examine the flagpole which has the halyard tied to it -- 
another piece of rope. Tie the halyard to the rope you already 
have and you can be on your way. Go to the Well and tie your 
rope to the roller.

Climb down the rope and take the hessian hawser (yet another 
piece of rope), take the bucket if you wish, and climb back up. 
Take your rope and tie the hawser to it. Take the welcome mat 
and the key which you find underneath it. With the key, unlock 
the chest from the castle. There's a cord which supports the 
back of the chest -- yes, help yourself to it and tie it to your 
rope. By now, you've noticed that the so-called treasures really 
aren't worth anything to you.
 
But one, any one, will now come in handy. Take it and go to the 
Cave. Inside is a hermit who breaks into laughter when you offer 
him your treasure. When he turns around to put it in his (ZORK?) 
trophy case (if you've played THE PAWN, you're going to enjoy 
this!), HIT HIM! While he's flat on his face, take his belt and 
tie it to your rope. From here go to the Clearing. There's a 
goat here with a tether. (If you've played GOLDEN PATH, you 
needn't be worried). Take the tether, tie it to your rope, and 
ignore the goat. Go to the Crossroads. Tie your rope to the 
signposts, and shortly you'll see a wild orc-hunter swinging his 
lasso and coming right for you. Your rope will trip him off his 
horse and leave him momentarily dazed. Take his lasso, tie it to 
your rope and leave.
 
Go to the Oak and enter it. Ignore the gold piece and take the 
washing line. Tie it to your rope and go to the Tower. The Tower 
is separated from you by a heavy growth of thorns. Put the 
welcome mat on the thorns and go north to the Tower. This is 
Rapunzel's Tower! This is Rapunzel's hair! This is indecent! Cut 
the innocent girl's hair, tie it to your rope, and go to the 
Lawn. Here, as Sir Gawain was once challenged, so will you be by 
the Green Knight! He offers you his axe and lays bare his neck 
for you to sever. Kill his horse! The green guy is buried in 
equine gore for the moment, so you can take the late horse's 
reins and add them to your rope.

At this point your score should read 100 and you must have the 
innkeeper's spear. If he's taken it back, simply return to the 
Bar and get it. Then, go to the Viaduct.
 
Tie your rope to the spear and take one step south of the 
Viaduct. Throw the spear at the ring which hangs over the 
Viaduct and you will complete Part 1.
 
THE STORY BEHIND THE STORY.
You are not an Orc, nor are any of the other Orcs. The Rainbird 
is not a bird, the troll is not a troll, the dragon is not a 
dragon, and the mouse is not a mouse. You are all robots, 
programmed to play roles in a live action adventure being staged 
for the amusement and participation of a group of role-playing 
adventurers. Visors, worn by human and robot participants, 
holographically transform the dull interior of a warehouse into 
the apparition of Middle Earth. Similarly, participants are 
transformed into wizards, warriors, barbarians and so fourth. 
Hence, you are not an Orc; you are a robot programmed to behave 
as an Orc. When you crossed the Viaduct you suffered just enough 
trauma to loosen your visor and make yourself aware of your true 
surroundings. By reason of your intelligence, you are overcome 
with the drive to escape the warehouse. To do this you need to 
reprogram (or recruit) other robots to help you along.
To wit, the mouse, the troll, the dragon and the Rainbird.


 
PARTS TWO & THREE 
Keep your visor on. There is only one time it will be necessary 
to remove it, or it can be removed any time you wish to see 
things differently.

Accumulating treasures, as you have seen in Part 1, is not your 
goal in Knight Orc. They may not be valuable, but they are 
useful. Pick up the silver loaf. Try to hold on to it, and any 
other treasures you come across.

But don't get upset (DON'T FIGHT!) over the theft of one of 
these treasures. Go to the mountain and read the inscription. 
Your score just went up and you can now cast the GLOW spell. If 
you don't believe me, enter the mountain and CAST GLOW (on 
yourself will do nicely).
 
Once inside the mountain, go south which will take you into a 
very small maze. Go southeast and CAST GLOW. This will transfer 
the glow from yourself to the walls of the room. Go east and 
this room will be dark. There are glowing letters there, the 
COLD spell, which you cannot read when the room is lit. Cast the 
glow spell back on yourself (check out the letters if you didn't 
believe me) and go west, northwest, north, east, north, east, 
and up. WHACK! You've been assaulted by the Orc-pounder! You 
need a helmet to go up these steps, and Oink is the Orc who is 
wearing one. FIND OINK. Once you do, take his helmet and wear 
it. GO TO LANDING then go back up the stairs. Now you can take 
the sack, the tray, and the knife. Put the silver loaf (if you 
still have it -- if not don't worry) inside the sack. Anything 
in the sack will be hidden from sticky-fingered adventurers.
 
Go down, then west twice. Leave the tray for Grok, but be sure 
to take his map. The Rainbird is a very important character in 
the story. You'll need him to help complete the game, but first 
you can get a lot of valuable information simply by asking him 
about things. GO TO THE RAINBIRD. Once there, you'll also notice 
a book. It's sort of a hint/spell book. If you decide to read 
it, you'll learn a free spell. But if you solve 100% of the 
game's puzzles, there will be no need to open the book. The book 
can only be read once, so think carefully before touching it. 
Also near the Rainbird is a small pond and a druid who wanders 
in and out. Watch the druid -- you'll learn the CHARISMA spell 
which will make you or anyone else more handsome. Best to cast 
it on yourself -- an Orc needs all the help he can get. For now, 
ignore the ants and their anthill. Before leaving this area, ask 
the Rainbird about his perch to learn the LOCATE spell.
 
Find the frog now, and when the slimy, green creature stands 
still for a moment (this shouldn't surprise anyone), kiss him. 
The frog will belch up a pebble which you should read to learn 
the JUMP spell. There is only one spot in the game where the 
JUMP spell is useful. Go to the mountain entrance, and go east 
until you can't continue in that direction. CAST JUMP EAST and 
you'll be in a secret room where you'll learn the SWORD spell.

CAST JUMP WEST will return you to your possessions which you 
lost when casting the spell previously. Go to the Garden and 
take the garlic. Go west and you'll be inside a shed. Wait for 
the custodian, who will eventually join you and point out a 
piece of paper with the GROW spell. Leave the shed and CAST GROW 
ON MARROW. Examine the marrow and you'll learn the very useful 
CURE spell.
 
Anytime your health becomes compromised, you can cast CURE on 
yourself and be fully recovered. Go east from the Garden to find 
the Haunted House. Enter the House and go north. In the Brown 
Study is a fireplace. Cast cold on the fire; then examine the 
fireplace to learn the mysterious EYE spell.......

@~To be concluded in the next issue of SynTax
